EDIT - feature request #7165

Extend TaxonNodeFilter with rank filtering
01/11/2018 02:44 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal

Description

Related issues:

Related to EDIT - task #6754: Adapt DwcA Export to CDM light export strategy Closed
Related to EDIT - feature request #7095: Implement Character Matrix Closed
Precedes EDIT - feature request #7193: Implement area filter and rank filter ... New

Associated revisions

Revision 67fbb702 - 01/11/2018 02:46 PM - Patrick Plitzner
ref #7165 Add rank filter to TaxonNodeFilter

e Added JUnit test

Revision bc7d98a2 - 01/12/2018 06:33 AM - Patrick Plitzner
ref #7165 Fix potential NPE

Revision 9e7293ea - 01/12/2018 08:20 AM - Patrick Plitzner
fix #7165, #7166 Add singleton constructor for rank

e remove unused methods

Revision e31c9da4 - 01/12/2018 09:12 AM - Patrick Plitzner
fix #7165, #7166 Add ranks to reset method

Revision d02131a9 - 01/15/2018 07:20 AM - Patrick Plitzner

ref #7165 Add convenience constructors for taxon node filter

Revision e17bee9c - 01/15/2018 04:09 PM - Patrick Plitzner

ref #7165 Add convenience constructors for taxon node filter

Revision 19¢6f3d6 - 01/16/2018 01:04 PM - Andreas Miiller
ref #7175, ref #7180, ref #7165, ref #7166 Adapting TaxonNodeFilter for unpublished, minMaxRank and areas

History

#1 - 01/11/2018 02:44 PM - Patrick Plitzner
- Related to task #6754: Adapt DwcA Export to CDM light export strategy added

#2 - 01/11/2018 02:44 PM - Patrick Plitzner
- Tags set to additivity, export

#3 - 01/11/2018 02:45 PM - Patrick Plitzner
- Related to feature request #7095: Implement Character Matrix added

#4 - 01/11/2018 02:47 PM - Patrick Plitzner
- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

#5 - 01/11/2018 02:47 PM - Patrick Plitzner
- % Done changed from 0 to 50

#6 - 01/16/2018 02:13 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to Patrick Plitzner

| slightly refactored everything and added some tests. Please review my changes and close if ok.

#7 - 01/16/2018 04:39 PM - Andreas Miiller
- Category changed from cdm to cdmlib

- % Done changed from 50 to 100

#8 - 01/16/2018 04:40 PM - Andreas Miuller

- Precedes feature request #7193: Implement area filter and rank filter in TaxEditor for exports added

#9 - 02/16/2018 12:44 PM - Patrick Plitzner
- Status changed from Resolved to Closed

- Assignee changed from Patrick Plitzner to Andreas Mliller

this works fine
